You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

70 lines
1.8 KiB

5 years ago
5 years ago
5 years ago
5 years ago
5 years ago
5 years ago
5 years ago
5 years ago
  1. #!/bin/bash
  2. set -e
  3. exec 3>&1 # make stdout available as fd 3 for the result
  4. exec 1>&2 # redirect all output to stderr for logging
  5. echo "BUILD_ID: $BUILD_ID"
  6. echo "BUILD_NAME: $BUILD_NAME"
  7. echo "BUILD_JOB_NAME: $BUILD_JOB_NAME"
  8. echo "BUILD_PIPELINE_NAME: $BUILD_PIPELINE_NAME"
  9. source $(dirname $0)/common.sh
  10. source=$1
  11. if [ -z "$source" ]; then
  12. echo "usage: $0 <path/to/source>"
  13. exit 1
  14. fi
  15. # for jq
  16. PATH=/usr/local/bin:$PATH
  17. payload=$(mktemp $TMPDIR/rclone-resource-request.XXXXXX)
  18. cat > $payload <&0
  19. # TODO: Remove Me - DEBUGGING
  20. echo "Payload:"
  21. cat $payload
  22. load_config $payload
  23. load_files $payload
  24. rclone_source_directory=$(jq -r '.params.source // ""' < $payload)
  25. rclone_destination=$(jq -r '.params.destination // ""' < $payload)
  26. rclone_destination_subdir_file=$(jq -r '.params.subdir // ""' < $payload)
  27. echo "Source directory: $rclone_source_directory"
  28. echo "Destination: $rclone_destination"
  29. echo "Destination subdir file: $rclone_destination_subdir_file"
  30. if [ -z "$rclone_source_directory" ]; then
  31. echo "invalid source directory (missing source)"
  32. exit 1
  33. fi
  34. if [ -z "$rclone_destination" ]; then
  35. echo "invalid destination (missing destination)"
  36. exit 1
  37. fi
  38. rclone_destination_subdir=""
  39. if [ ! -z "$rclone_destination_subdir_file" ]; then
  40. echo "Looking in ${source}/${rclone_destination_subdir_file} for subdir to use"
  41. rclone_destination_subdir=$(cat "${source}/${rclone_destination_subdir_file}" | head -n 1)
  42. fi
  43. rclone_source="local:${source}/${rclone_source_directory}"
  44. rclone_target="${rclone_destination}/${rclone_destination_subdir}"
  45. echo "Source: ${rclone_source}"
  46. echo "Target: ${rclone_target}"
  47. rclone copy "${rclone_source}" "${rclone_target}" --config /opt/rclone/config/.rclone.conf
  48. jq -n "{
  49. version: {
  50. digest: $((echo -n "md5:"; echo "test" | md5sum) | cut -d ' ' -f1 | jq -R .)
  51. }
  52. }" >&3